%global reldate 20111212

Name:           jenkins-jexl
Version:        1.1
Release:        5.%{reldate}%{?dist}
Summary:        Jenkins Jexl library

License:        ASL 2.0
URL:            https://github.com/jenkinsci/jexl
Source0:        https://github.com/jenkinsci/jexl/archive/%{version}-jenkins-%{reldate}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.mojo:javacc-maven-plugin)

BuildArch:      noarch

%description
JEXL is a library intended to facilitate the implementation of dynamic
and scripting features in applications and frameworks written in Java.
JEXL implements an Expression Language based on some extensions to the
JSTL Expression Language supporting most of the constructs seen in
shell-script or ECMAScript.  Its goal is to expose scripting features
usable by technical operatives or consultants working with enterprise
platforms. 

This package contains JEXL library used and maintained by Jenkins
project.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n jexl-%{version}-jenkins-%{reldate}

# fix CRLF line terminators
sed -i 's/\r//g' LICENSE.txt NOTICE.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt NOTICE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5.20111212
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4.20111212
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3.20111212
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 10 2014 Michal Srb <msrb@redhat.com> - 1.1-2.20111212
- Fix line terminators

* Wed Jan 08 2014 Michal Srb <msrb@redhat.com> - 1.1-1.20111212
- Initial packaging

